# Interface ErroneousTree

All Superinterfaces:
  `DocTree, TextTree`

public interface ErroneousTree extends TextTree
A tree node to stand in for malformed text.

Since:
  1.8

- ## Nested Class Summary

  ### Nested classes/interfaces declared in interface DocTree

  `DocTree.Kind`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Diagnostic<JavaFileObject>`
  `getDiagnostic()`
  Returns a diagnostic object giving details about the reason the body text is in error.

  ### Methods declared in interface DocTree

  `accept, getKind`

  ### Methods declared in interface TextTree

  `getBody`

- ## Method Details

  - ### getDiagnostic

    Diagnostic<JavaFileObject> getDiagnostic()
    Returns a diagnostic object giving details about the reason the body text is in error.
    Returns:
      a diagnostic